/* @import url("https://fonts.googleapis.com/css2?family=Playfair+Display&family=Roboto&display=swap"); */
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  text-decoration: none;
  font-family: "Playfair Display", serif;
  /* font-family: "Google Sans", serif; */
  transition: all 0.4s ease-in-out;
}

/* Variavel com suas cores para cada modo */
body {
  --fundo: #ffffff;
  --texto: #111111;
  --fundo-input: #ccc;
  --fundo-logo: #ffffff;
  --fundo-azul: #96c3ec;
  --submit: #96c3ec;
  --submit-hover: #204b73;
  --login-adm: #204b73;
  --cadastrar: #204b73;
}

body.dark {
  --fundo: #2e2e2e;
  --texto: #b9b9b9;
  --fundo-input: #4d4d4d;
  --fundo-logo: #b9b9b9;
  --fundo-azul: #204b73;
  --submit: #202020;
  --submit-hover: #204b73;
  --login-adm: #7598b9;
  --cadastrar: #7598b9;
}

h1,
p {
  color: var(--texto);
}

/*parte direita*/
.direita {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  right: 0;
  width: 40%;
  height: 100%;
  background-color: var(--fundo-azul);
}

.direita nav {
  position: absolute;
  padding: 5px;
  top: 0.5rem;
  width: 95%;
  height: 2.5rem;
  border-radius: 55px;
  display: flex;
  align-items: center;
  justify-content: right;
  /* margin-right: .5rem;
    margin-left: .5rem; */
}

.direita nav span,
.log_adm,
.rec_senha {
  position: absolute;
  width: auto;
  height: 100%;
  top: 0px;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0px 10px;
  color: #ffffff;
  background-color: var(--login-adm);
  border-radius: 55px;
}

.direita nav img {
  height: 2rem;
  float: right;
  border-radius: 6px;
  margin-right: 0.5rem;
}

.botao {
  /* background-color: #204b73; */
  text-align: center;
  border-radius: 100%;
  padding: 5px;
}

.linhas {
  cursor: pointer;
  padding-top: 5px;
}

.span {
  width: 30px;
  height: 4px;
  /* background-color: white; */
  margin-bottom: 5px;
  border-radius: 2px;
  transition: 0.5s cubic-bezier(0.23, 1, 0.32, 1);
}

.direita h2 {
  text-align: center;
  width: 75%;
  letter-spacing: 3px;
  font-size: 30px;
  color: var(--texto);
  cursor: default;
  animation: myAnim 2.5s ease 0s 1 normal forwards;
}

/*parte esquerda*/
.esquerda {
  position: absolute;
  width: 60%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--fundo);
}

.esquerda .logo {
  /* background-color: var(--fundo-logo); */
  position: absolute;
  top: 1rem;
  left: 2rem;
  width: 20rem;
  height: 5rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

.esquerda .logo .img {
  background-image: url(../assets/img/logo_site_sbg_2.png);
  background-repeat: no-repeat;
  background-size: 100%;
  background-position: center;
  width: 3rem;
  height: 5rem;
  position: absolute;
  left: 0;
  animation: myAnim 1.5s ease 0s 1 normal forwards;
}
.esquerda .logo .texto {
  width: 100%;
  height: 5rem;
  /* padding-left: 5rem; */
}
.esquerda .logo .texto h1 {
  /* padding-left: 5rem; */
  top: 0;
  right: 1rem;
  text-align: center;
  justify-self: center;
  width: 10rem;
  height: 100%;
  text-align: left;
  /* margin-left: 1rem; */
  font-weight: 900;
  font-size: 25px;
  display: flex;
  align-items: center;
}

/* .dark .esquerda .logo {
  background-image: url(../assets/img/logo_site_sbg_inverte.png);
  background-repeat: no-repeat;
  background-size: 100%;
  background-position: center;
  width: 15rem;
  height: 5rem;
} */

.esquerda .blocoesquerda p {
  cursor: default;
  text-align: center;
  animation: myAnim 1.5s ease 0s 1 normal forwards;
}

.esquerda h1 {
  position: absolute;
  display: inline;
  top: 6rem;
  left: 40px;
  width: max-content;
  font-weight: 500;
  font-size: 30px;
  color: var(--texto);
  width: auto;
  word-break: normal;
  cursor: default;
  animation: myAnim 1.5s ease 0s 1 normal forwards;
}

.blocoesquerda {
  width: 50%;
  /* padding: 2rem; */
  /* padding-top: 4rem; */
}

.esquerda form {
  display: block;
  height: 20rem;
  animation: myAnim 1.5s ease 0s 1 normal forwards;
}
@keyframes myAnim {
  0% {
    opacity: 0;
    transform: translateY(50px);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.esquerda form label {
  font-size: 20px;
  font-weight: 500;
  color: var(--texto);
}

.esquerda form input {
  width: 100%;
  font-size: 1rem;
  padding: 6px;
  border: 0;
  border-radius: 10px;
  margin-top: 1rem;
  margin-bottom: 2rem;
  background-color: var(--fundo-input);
  color: var(--texto);
}

/* .esquerda form .olho{
  width: 20px;
  position: absolute;
  margin-top: -3.6rem;
  margin-right: 35%;
  right: 0;
} */
.esquerda form input[type="password"],
.esquerda form input[type="text"] {
  /* width: 150px; */
  padding-right: 28px;
}

.olho {
  left: 70%;
  position: absolute;
  width: 20px;
  margin-top: -3.6rem;
}

/*??*/
.esquerda form input:focus {
  background-color: var(--fundo-input);
  color: var(--texto);
  outline: 0;
}

/*estilo botão*/

.esquerda form input[type="submit"] {
  position: relative;
  align-items: center;
  border: 1px solid #000000;
  background-color: var(--submit);
  border-radius: 55px;
  padding: 10px 50px;
  font-weight: 900;
  font-size: 1.5em;
  transition: all 0.4s ease-in-out;
  margin-top: 0;
  cursor: pointer;
}

.esquerda form input[type="submit"]:hover {
  color: #ffffff;
  background-color: var(--submit-hover);
  border-radius: 55px;
}

.esquerda form p a {
  color: var(--cadastrar);
}

form span {
  color: #ff0000;
  position: relative;
  top: -2rem;
  font-size: 12px;
}

/* Estilo botão modo dark */
.checkbox {
  /* opacity: 0;
  position: absolute; */
  display: none;
}

.checkbox-label {
  background-color: var(--fundo-input);
  width: 50px;
  height: 26px;
  border-radius: 50px;
  position: relative;
  padding: 5px;
  cursor: pointer;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: absolute;
  top: 1rem;
  right: 01rem;
}

.fa-moon {
  color: #f1c40f;
  font-size: 16px;
}

.fa-sun {
  color: #f39c12;
  font-size: 16px;
}

.checkbox-label .ball {
  background-color: var(--fundo);
  width: 22px;
  height: 22px;
  position: absolute;
  left: 2px;
  top: 2px;
  border-radius: 50%;
  transition: transform 0.2s linear;
}

.checkbox:checked + .checkbox-label .ball {
  transform: translateX(24px);
}

@media (min-width: 1300px) {
  .esquerda {
    /* background-color: #204b73; */
  }
  .olho {
    left: 72%;
  }
  .esquerda form input[type="password"],
  .esquerda form input[type="text"] {
    /* width: 150px; */
    padding-right: 35px;
  }
}
@media (min-width: 2000px) {
  .esquerda {
    /* background-color: #204b73; */
  }
  .olho {
    /* right: 33%; */
  }
  .esquerda form input[type="password"],
  .esquerda form input[type="text"] {
    /* width: 150px; */
    padding-right: 35px;
  }
}
@media (max-width: 999px) {
  .direita {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: var(--fundo-azul);
  }
  .esquerda {
    position: absolute;
    top: 100%;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--fundo);
  }
  .blocoesquerda {
    width: 100%;
    padding: 1rem;
  }
  .esquerda form .olho {
    width: 20px;
    position: absolute;
    margin-top: -3.6rem;
    /* margin-right: 10%; */
    /* right: 0; */
    left: 90%;
  }
}
